org.apache.creadur.tentacles

## Class FileSystem

- java.lang.Object
- - org.apache.creadur.tentacles.FileSystem

    public class FileSystem
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FileSystem()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<File>` `archivesInPath(File file, String fileRepositoryPathNameFilter)`
`List<File>` `collect(File dir, FileFilter filter)`
`List<File>` `collect(File dir, String regex)`
`List<File>` `documentsFrom(File repository)`
`List<File>` `legalDocumentsDeclaredIn(File contents)`
`List<File>` `legalDocumentsUndeclaredIn(File contents)`
`List<File>` `licensesDeclaredIn(File contents)`
`List<File>` `licensesFrom(File directory)`
`void` `mkdirs(File file)`
`void` `mkparent(File file)`
`List<File>` `noticesDeclaredIn(File contents)`
`List<File>` `noticesOnly(File directory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSystem

    public FileSystem()

### Method Detail

#### legalDocumentsUndeclaredIn

    public List<File> legalDocumentsUndeclaredIn(File contents)

#### legalDocumentsDeclaredIn

    public List<File> legalDocumentsDeclaredIn(File contents)

#### collect

    public List<File> collect(File dir,
                              String regex)

#### collect

    public List<File> collect(File dir,
                              FileFilter filter)

#### mkparent

    public void mkparent(File file)

#### mkdirs

    public void mkdirs(File file)

#### documentsFrom

    public List<File> documentsFrom(File repository)

#### licensesFrom

    public List<File> licensesFrom(File directory)

#### noticesOnly

    public List<File> noticesOnly(File directory)

#### licensesDeclaredIn

    public List<File> licensesDeclaredIn(File contents)

#### noticesDeclaredIn

    public List<File> noticesDeclaredIn(File contents)

#### archivesInPath

    public List<File> archivesInPath(File file,
                                     String fileRepositoryPathNameFilter)